(defun asal-clean ()
  (interactive)
  (goto-char (region-beginning))
  (while (re-search-forward "<div id=\"content\"" nil t)
    (replace-match "<article id=\"content\""))
  (goto-char (region-beginning))
  (while (re-search-forward "<div id=\"outline-container-" nil t)
    (replace-match "<section id=\"outline-container-"))
  (goto-char (region-beginning))
  (while (re-search-forward "</div>\n</div>" nil t)
    (replace-match "</div>\n</section>"))
  (goto-char (region-beginning))
  (while (re-search-forward "<hr />\n\n<p>" nil t)
    (replace-match "</section>\n<section>\n<p class=\"newthought\">"))
  (goto-char (region-beginning))
  (while (re-search-forward "<div class=\"outline-text-2\" id=\".*\">" nil t)
    (replace-match ""))
  (goto-char (region-beginning))
  (while (re-search-forward "<div id=\"postamble\" class=\"status\">" nil t)
    (replace-match ""))
  (goto-char (region-beginning))
  (while (re-search-forward "<p class=\"validation\"><a href=.*>Validate</a></p>" nil t)
    (replace-match ""))
  (goto-char (region-beginning))
  (while (re-search-forward "</div>" nil t)
    (replace-match ""))
  (goto-char (region-beginning))
  (while (re-search-forward "\\\\noindent\\\\rule{\\\\textwidth}{0.5pt}" nil t)
    (replace-match "\\sephim" nil t))
  (goto-char (region-beginning))
  (while (re-search-forward "\\\\maketitle" nil t)
    (replace-match "\\begin{titlingpage}\n\\titleGM\n\\end{titlingpage}" nil t)))

(defun asal-note ()
  (interactive)
  (setq footnotemark (read-string "Unique name: "))
  (setq footnotecontent (read-string "Content of note: "))
  (insert (concat "@@html:<label for=\"" footnotemark "\" class=\"margin-toggle sidenote-number\"></label><input type=\"checkbox\" id=\"" footnotemark "\" class=\"margin-toggle\"/><span class=\"sidenote\">" footnotecontent "</span>@@@@latex:\\footnote{" footnotecontent "}@@")))
